Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Class ElementSelectionScope

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.elementselection.ElementSelectionScope

    public class ElementSelectionScope

extends java.lang.Object

Class for setting and testing flags used by the element selection service.

Field Summary
`static ElementSelectionScope` `BINARIES` Provide all types in binaries (if applicable).
`static ElementSelectionScope` `GLOBAL` Provide all types in the workspace and target environment (if applicable).
`static ElementSelectionScope` `PRIMITIVES` Provide all primities types in the sources (if applicable).
`static ElementSelectionScope` `SOURCES` Provide all types in the sources (if applicable).
`static ElementSelectionScope` `VISIBLE` The default option to provide all visible types based on the context.

Constructor Summary
`ElementSelectionScope()` Constructor for IconOptions

Method Summary
`int` `intValue()` Returns the scope as an integer bit flag
`static boolean` `isSet(int scope, ElementSelectionScope option)` Tests if the specified option is set
`void` `set(ElementSelectionScope option)` Sets the specified option

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VISIBLE

    public static final ElementSelectionScope VISIBLE

  The default option to provide all visible types based on the context.

### GLOBAL

    public static final ElementSelectionScope GLOBAL

  Provide all types in the workspace and target environment (if applicable).

### BINARIES

    public static final ElementSelectionScope BINARIES

  Provide all types in binaries (if applicable).

### SOURCES

    public static final ElementSelectionScope SOURCES

  Provide all types in the sources (if applicable).

### PRIMITIVES

    public static final ElementSelectionScope PRIMITIVES

  Provide all primities types in the sources (if applicable).

Constructor Detail

### ElementSelectionScope

    public ElementSelectionScope()

  Constructor for IconOptions

Method Detail

### intValue

    public int intValue()

  Returns the scope as an integer bit flag

  Returns:
    int the scope as an integer bit flag

### isSet

    public static boolean isSet(int scope,
                                ElementSelectionScope option)

  Tests if the specified option is set

  Parameters:
    `scope` - the scope as an integer bit flag
    `option` - the specified option
  Returns:
    boolean `true` if this option is set, otherwise `false`

### set

    public void set(ElementSelectionScope option)

  Sets the specified option

  Parameters:
    `option` - the specified option

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.